import "./Login.css";
import user_icon from "../assets/person.png";
import React, { useContext, useEffect } from "react";
import { useNavigate } from "react-router-dom";
import axios from "axios";

function Login() {
  const navigate = useNavigate();

  // function to process the login
  const handleLogin = async () => {
    try {
      const response = await axios.post(
        `${process.env.REACT_APP_API_URL}/login`,
        {},
        {
          headers: {
            "Content-Type": "application/json",
          },
        }
      );

      // successful login
      if (response.status === 200) {
        const data = response.data;

        // store JWT in local storage
        localStorage.setItem("jwtToken", data.token);
        console.log("User logged in, token stored:", data.token);

        // navigate to home page?
        navigate("/practice");
      } else {
        console.log("user not found");
        navigate("/userNotFound");
      }
    } catch (error) {
      console.error("error logging in: ", error);
    }
  };

  return (
    <div className="container">
      <div className="header">
        <div className="text">VT Corps Directory Log In Page</div>
        <div className="underline"></div>
      </div>
      <div className="inputs">
        <div className="home-auth">
          <button className="login-button" onClick={handleLogin}>
            Login with CAS
          </button>
        </div>
      </div>
      {/* <div className="forgot-password">Forgot Password <span> Click here</span></div> */}
      <div className="submitTerms">
        I agree to terms of use
        <img src={user_icon} alt="" />
      </div>
    </div>
  );
}

export default Login;
